---
title: <feGaussianBlur>
slug: Web/SVG/Element/feGaussianBlur
tags:
  - Element
  - SVG
  - SVG Filter
---
<div>{{SVGRef}}</div>

<p>The <strong><code>&lt;feGaussianBlur&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> filter primitive blurs the input image by the amount specified in {{SVGAttr("stdDeviation")}}, which defines the bell-curve.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Presentation_attributes">Presentation attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Filter_primitive_attributes">Filter primitive attributes</a></li>
 <li>{{SVGAttr("class")}}</li>
 <li>{{SVGAttr("style")}}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("in")}}</li>
 <li>{{SVGAttr("stdDeviation")}}</li>
 <li>{{SVGAttr("edgeMode")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGFEGaussianBlurElement")}} interface.</p>

<h2 id="Example">Example</h2>

<h3 id="Simple_example">Simple example</h3>

<h4 id="SVG">SVG</h4>

<pre class="brush: html">&lt;svg width="230" height="120"
 xmlns="http://www.w3.org/2000/svg"
 xmlns:xlink="http://www.w3.org/1999/xlink"&gt;

  &lt;filter id="blurMe"&gt;
    &lt;feGaussianBlur in="SourceGraphic" stdDeviation="5" /&gt;
  &lt;/filter&gt;

  &lt;circle cx="60"  cy="60" r="50" fill="green" /&gt;

  &lt;circle cx="170" cy="60" r="50" fill="green"
          filter="url(#blurMe)" /&gt;
&lt;/svg&gt;</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Simple_example",232,124,"/files/4227/feGaussianBlur.png")}}</p>

<h3 id="Drop_shadow_example">Drop shadow example</h3>

<h4 id="SVG_2">SVG</h4>

<pre class="brush: html">&lt;svg width="120" height="120"
 xmlns="http://www.w3.org/2000/svg"
 xmlns:xlink="http://www.w3.org/1999/xlink"&gt;

  &lt;filter id="dropShadow"&gt;
    &lt;feGaussianBlur in="SourceAlpha" stdDeviation="3" /&gt;
    &lt;feOffset dx="2" dy="4" /&gt;
    &lt;feMerge&gt;
        &lt;feMergeNode /&gt;
        &lt;feMergeNode in="SourceGraphic" /&gt;
    &lt;/feMerge&gt;
  &lt;/filter&gt;

  &lt;circle cx="60"  cy="60" r="50" fill="green"
          filter="url(#dropShadow)" /&gt;
&lt;/svg&gt;</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Drop_shadow_example",125,124,"/files/4229/feGaussianBlur-dropshadow.png")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Filters 1.0', '#feGaussianBlurElement', '&lt;feGaussianBlur&gt;')}}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>Added {{SVGAttr("edgeMode")}} attribute</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'filters.html#feGaussianBlurElement', '&lt;feGaussianBlur&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feGaussianBlur")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("filter")}}</li>
 <li>{{SVGElement("feBlend")}}</li>
 <li>{{SVGElement("feColorMatrix")}}</li>
 <li>{{SVGElement("feComponentTransfer")}}</li>
 <li>{{SVGElement("feComposite")}}</li>
 <li>{{SVGElement("feConvolveMatrix")}}</li>
 <li>{{SVGElement("feDiffuseLighting")}}</li>
 <li>{{SVGElement("feDisplacementMap")}}</li>
 <li>{{SVGElement("feFlood")}}</li>
 <li>{{SVGElement("feImage")}}</li>
 <li>{{SVGElement("feMerge")}}</li>
 <li>{{SVGElement("feMorphology")}}</li>
 <li>{{SVGElement("feOffset")}}</li>
 <li>{{SVGElement("feSpecularLighting")}}</li>
 <li>{{SVGElement("feTile")}}</li>
 <li>{{SVGElement("feTurbulence")}}</li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial/Filter_effects">SVG tutorial: Filter effects</a></li>
</ul>
